<?php
use Intervention\Image\ImageManagerStatic as Image;

$equipesDao = new \Dao\Equipes();
$equipesDao->getEquipePorId($conecta, filter_input(INPUT_POST, 'id'));
$equipesDao->nome = $conecta->real_escape_string(filter_input(INPUT_POST, 'nome'));
$equipesDao->cargo = $conecta->real_escape_string(filter_input(INPUT_POST, 'cargo'));
$equipesDao->texto = addslashes(filter_input(INPUT_POST, 'texto'));
$equipesDao->slug = \Dao\Funcoes::removeCharacters($equipesDao->nome, '-');
$equipesDao->data_cadastro = date('Y-m-d H:i:s');
$equipesDao->usuario_cadastrou = $_SESSION['id_usuario'];
$equipesDao->data_alteracao = date('Y-m-d H:i:s');
$equipesDao->usuario_alterou = $_SESSION['id_usuario'];
if (!empty($_FILES['image']['name'])) {
    if ($equipesDao->image != '' &&file_exists($pasta . $equipesDao->image))
        unlink($pasta . $equipesDao->image);
    
    $equipesDao->image = \Dao\Funcoes::randFileName($_FILES['image']['name']);
    $image = Image::make($_FILES['image']['tmp_name'])->resize(800, null, function ($constraint) {
        $constraint->aspectRatio();
    });

    $image->save($pasta . $equipesDao->image, 85);
}
$res = json_decode($equipesDao->salvar($conecta));
if ($res->data == 'Success') 
    \Dao\Funcoes::displayMessage('Confirmação', $res->message, 'equipes.php');
else 
    \Dao\Funcoes::displayMessage('Erro', $res->message, 'equipes.php', 'red');